#include<bits/stdc++.h>

#define ll long long
#define pb push_back
//#define

using namespace std;

bool smaller (int x);

int find_number (int MAX) {
    int l = 0, r = MAX;
    while (l + 1 < r) {
        int mid = l + r >> 1;
        if (smaller(mid))
            r = mid;
        else
            l = mid;
    }
    return l;
}

//
//int main () {
//    ios_base::sync_with_stdio(0);
//    cin.tie(0);
//    int test = 1;
//    while (test--) {
////        slv();
//        cout << "\n";
//    }
//}
